4.2-stable build 106

Revision r21761 (build 106 started on 2022-08-06T04:46:06Z)


originally caused by:
 Started by an SCM change
Building in workspace /var/lib/jenkins/workspace/4.2-stable/DATABASE_ADAPTER/sqlite3/RUBY_VER/ruby-2.7
Updating http://svn.redmine.org/redmine/branches/4.2-stable at revision '2022-08-05T21:46:06.377 -0700'
U         public/javascripts/context_menu.js
 U        .
At revision 21761

[ruby-2.7] $ /bin/sh -xe /tmp/jenkins4918103692765919838.sh
+ PATH=/var/lib/jenkins/ruby/ruby-2.7/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games rake -f lib/tasks/ci.rake config/database.yml BRANCH=4.2-stable
[ruby-2.7] $ /bin/sh -xe /tmp/jenkins1891359851354132947.sh
+ PATH=/var/lib/jenkins/ruby/ruby-2.7/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games bundle update
The dependency tzinfo-data (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for x86-mingw32, x64-mingw32, x86-mswin32. To add those platforms to the bundle, run `bundle lock --add-platform x86-mingw32 x64-mingw32 x86-mswin32`.
The dependency ffi (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for x86-mingw32, x64-mingw32, x86-mswin32. To add those platforms to the bundle, run `bundle lock --add-platform x86-mingw32 x64-mingw32 x86-mswin32`.
Fetching gem metadata from https://rubygems.org/..........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies.....
Using rake 13.0.6
Using concurrent-ruby 1.1.10
Using i18n 1.8.11
Using minitest 5.16.2
Using thread_safe 0.3.6
Using tzinfo 1.2.10
Using activesupport 5.2.8.1
Using builder 3.2.4
Using erubi 1.11.0 (was 1.10.0)
Using mini_portile2 2.8.0
Using racc 1.6.0
Using nokogiri 1.13.8 (x86-linux) (was 1.13.7)
Using rails-dom-testing 2.0.3
Using crass 1.0.6
Using loofah 2.18.0
Using rails-html-sanitizer 1.4.3
Using actionview 5.2.8.1
Using rack 2.2.4
Using rack-test 2.0.2
Using actionpack 5.2.8.1
Using nio4r 2.5.8
Using websocket-extensions 0.1.5
Using websocket-driver 0.7.5
Using actioncable 5.2.8.1
Using globalid 1.0.0
Using activejob 5.2.8.1
Using mini_mime 1.0.3
Using mail 2.7.1
Using actionmailer 5.2.8.1
Using method_source 1.0.0
Using thor 1.2.1
Using railties 5.2.8.1
Using actionpack-xml_parser 2.0.1
Using activemodel 5.2.8.1
Using arel 9.0.0
Using activerecord 5.2.8.1
Using marcel 1.0.2
Using activestorage 5.2.8.1
Using public_suffix 4.0.7
Using addressable 2.8.0
Using ast 2.4.2
Using bundler 2.1.4
Using regexp_parser 1.8.2
Using xpath 3.2.0
Using capybara 3.31.0
Using childprocess 4.1.0
Using chunky_png 1.4.0
Using css_parser 1.11.0
Using csv 3.1.9
Using docile 1.4.0
Using htmlentities 4.3.4
Using mini_magick 4.11.0
Using mocha 1.14.0
Using net-ldap 0.17.1
Using parallel 1.22.1
Using parser 3.1.2.0
Using puma 5.6.4
Using ruby-openid 2.9.2
Using rack-openid 1.4.2
Using sprockets 4.1.1
Using sprockets-rails 3.4.2
Using rails 5.2.8.1
Using rainbow 3.1.1
Using rbpdf-font 1.19.1
Using rbpdf 1.20.1
Using redcarpet 3.5.1
Using request_store 1.5.1
Using rexml 3.2.5
Using roadie 4.0.0
Using roadie-rails 2.2.0
Using rotp 6.2.0
Using rouge 3.26.1
Using rqrcode_core 1.2.0
Using rqrcode 2.1.2 (was 2.1.1)
Using rubocop-ast 1.19.1
Using ruby-progressbar 1.11.0
Using unicode-display_width 2.2.0
Using rubocop 1.12.1
Using rubocop-performance 1.10.2
Using rubocop-rails 2.9.1
Using rubyzip 2.3.2
Using websocket 1.2.9
Using selenium-webdriver 4.3.0
Using simplecov-html 0.12.3
Using simplecov 0.18.5
Using sqlite3 1.4.4
Using webdrivers 4.7.0
Using webrick 1.7.0
Using yard 0.9.28
Bundle updated!
[ruby-2.7] $ /bin/sh -xe /tmp/jenkins942234400687498726.sh
+ PATH=/var/lib/jenkins/ruby/ruby-2.7/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games bundle exec rake ci:about ci:setup RAILS_ENV=test
warning: parser/current is loading parser/ruby27, which recognizes2.7.6-compliant syntax, but you are running 2.7.2.
Please see https://github.com/whitequark/parser#compatibility-with-ruby-mri.
Ruby version: 2.7.2-p137 (2020-10-01) [i686-linux]
svn: E155036: Please see the 'svn upgrade' command
svn: E155036: The working copy at '/var/lib/jenkins/workspace/4.2-stable/DATABASE_ADAPTER/sqlite3/RUBY_VER/ruby-2.7'
is too old (format 8) to work with client version '1.9.3 (r1718519)' (expects format 31). You need to upgrade the working copy first.

Database 'db/ci_42stable_ruby27_dev.sqlite3' already exists
Database 'db/ci_42stable_ruby27_test.sqlite3' already exists
[ruby-2.7] $ /bin/sh -xe /tmp/jenkins2022861756604784212.sh
+ PATH=/var/lib/jenkins/ruby/ruby-2.7/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games bundle exec rake test
warning: parser/current is loading parser/ruby27, which recognizes2.7.6-compliant syntax, but you are running 2.7.2.
Please see https://github.com/whitequark/parser#compatibility-with-ruby-mri.
svn: E155036: Please see the 'svn upgrade' command
svn: E155036: The working copy at '/var/lib/jenkins/workspace/4.2-stable/DATABASE_ADAPTER/sqlite3/RUBY_VER/ruby-2.7'
is too old (format 8) to work with client version '1.9.3 (r1718519)' (expects format 31). You need to upgrade the working copy first.

/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activerecord-5.2.8.1/lib/active_record/associations.rb:1855: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activerecord-5.2.8.1/lib/active_record/associations.rb:1368: warning: The called method `has_many' is defined here
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activemodel-5.2.8.1/lib/active_model/type/integer.rb:13: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activemodel-5.2.8.1/lib/active_model/type/value.rb:8: warning: The called method `initialize' is defined here
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activerecord-5.2.8.1/lib/active_record/connection_adapters/abstract/transaction.rb:171: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activerecord-5.2.8.1/lib/active_record/connection_adapters/abstract/transaction.rb:97: warning: The called method `initialize' is defined here
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activerecord-5.2.8.1/lib/active_record/transactions.rb:212: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activerecord-5.2.8.1/lib/active_record/connection_adapters/abstract/database_statements.rb:260: warning: The called method `transaction' is defined here
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activerecord-5.2.8.1/lib/active_record/connection_adapters/abstract/transaction.rb:146: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activerecord-5.2.8.1/lib/active_record/connection_adapters/abstract/transaction.rb:97: warning: The called method `initialize' is defined here
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activerecord-5.2.8.1/lib/active_record/persistence.rb:705: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activerecord-5.2.8.1/lib/active_record/timestamp.rb:105: warning: The called method `_update_record' is defined here
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activerecord-5.2.8.1/lib/active_record/relation/delegation.rb:132: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activerecord-5.2.8.1/lib/active_record/relation.rb:25: warning: The called method `initialize' is defined here
(Test LDAP server not configured)
Bazaar non ASCII output test cannot run on this environment.
Encoding.locale_charmap: UTF-8
Skipping LDAP tests.
Run options: --seed 19751

# Running:

./var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activesupport-5.2.8.1/lib/active_support/option_merger.rb:24: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/i18n-1.8.11/lib/i18n.rb:196: warning: The called method `t' is defined here
./var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionview-5.2.8.1/lib/action_view/view_paths.rb:11: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionview-5.2.8.1/lib/action_view/lookup_context.rb:128: warning: The called method `template_exists?' is defined here
.........../var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activemodel-5.2.8.1/lib/active_model/translation.rb:67: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/i18n-1.8.11/lib/i18n.rb:196: warning: The called method `translate' is defined here
.........../var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionview-5.2.8.1/lib/action_view/renderer/abstract_renderer.rb:20: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionview-5.2.8.1/lib/action_view/lookup_context.rb:128: warning: The called method `template_exists?' is defined here
../var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activesupport-5.2.8.1/lib/active_support/number_helper/number_converter.rb:166: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/i18n-1.8.11/lib/i18n.rb:196: warning: The called method `translate' is defined here
......................................./var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionpack-5.2.8.1/lib/action_dispatch/testing/integration.rb:350: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionpack-5.2.8.1/lib/action_dispatch/testing/integration.rb:23: warning: The called method `post' is defined here
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionpack-5.2.8.1/lib/action_dispatch/middleware/cookies.rb:647: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activesupport-5.2.8.1/lib/active_support/message_encryptor.rb:150: warning: The called method `encrypt_and_sign' is defined here
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activesupport-5.2.8.1/lib/active_support/message_encryptor.rb:175: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activesupport-5.2.8.1/lib/active_support/messages/metadata.rb:17: warning: The called method `wrap' is defined here
...../var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionpack-5.2.8.1/lib/action_dispatch/testing/integration.rb:350: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionpack-5.2.8.1/lib/action_dispatch/testing/integration.rb:35: warning: The called method `put' is defined here
..../var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionpack-5.2.8.1/lib/action_dispatch/testing/integration.rb:350: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionpack-5.2.8.1/lib/action_dispatch/testing/integration.rb:17: warning: The called method `get' is defined here
........................................................................................................./var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activerecord-5.2.8.1/lib/active_record/callbacks.rb:332: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activerecord-5.2.8.1/lib/active_record/persistence.rb:651: warning: The called method `touch' is defined here
............................................./var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activesupport-5.2.8.1/lib/active_support/cache.rb:445: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activesupport-5.2.8.1/lib/active_support/cache.rb:716: warning: The called method `initialize' is defined here
.................../var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activemodel-5.2.8.1/lib/active_model/naming.rb:190: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/i18n-1.8.11/lib/i18n.rb:196: warning: The called method `translate' is defined here
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/activemodel-5.2.8.1/lib/active_model/errors.rb:430: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/i18n-1.8.11/lib/i18n.rb:196: warning: The called method `translate' is defined here
......................................../var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionpack-5.2.8.1/lib/abstract_controller/helpers.rb:67: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionpack-5.2.8.1/lib/action_controller/metal/request_forgery_protection.rb:311: warning: The called method `form_authenticity_token' is defined here
.........................................................................................../var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionview-5.2.8.1/lib/action_view/helpers/translation_helper.rb:91: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/i18n-1.8.11/lib/i18n.rb:196: warning: The called method `translate' is defined here
................................................../var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionpack-5.2.8.1/lib/action_dispatch/testing/integration.rb:350: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionpack-5.2.8.1/lib/action_dispatch/testing/integration.rb:41: warning: The called method `delete' is defined here
.............................../var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionpack-5.2.8.1/lib/abstract_controller/translation.rb:21: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/i18n-1.8.11/lib/i18n.rb:196: warning: The called method `translate' is defined here
...........................................................................................................................................................................................................................................SS..................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................../var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionview-5.2.8.1/lib/action_view/helpers/cache_helper.rb:169: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionview-5.2.8.1/lib/action_view/helpers/cache_helper.rb:211: warning: The called method `cache_fragment_name' is defined here
........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................./var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionview-5.2.8.1/lib/action_view/helpers/translation_helper.rb:99: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/i18n-1.8.11/lib/i18n.rb:196: warning: The called method `translate' is defined here
.................................................S..................................................................................................................................................................................................................................................................................................................................................................../var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionpack-5.2.8.1/lib/action_dispatch/testing/integration.rb:350: warning: Using the last argument as keyword parameters is deprecated; maybe ** should be added to the call
/var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionpack-5.2.8.1/lib/action_dispatch/testing/integration.rb:29: warning: The called method `patch' is defined here
.............................S..........................................................................................................................................................................S............................S...................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................S......................................................S............................................./var/lib/jenkins/ruby/ruby-2.7.2/lib/ruby/gems/2.7.0/gems/actionpack-5.2.8.1/lib/action_dispatch/testing/integration.rb:213: warning: deprecated Object#=~ is called on Nokogiri::XML::Attr; it always returns nil
.................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................

Finished in 475.173176s, 10.9223 runs/s, 50.4406 assertions/s.
5190 runs, 23968 assertions, 0 failures, 0 errors, 8 skips

You have skipped tests. Run with --verbose for details.
Finished: SUCCESS